#ifndef _PX_KINEMATIC_H_
#define _PX_KINEMATIC_H_

class pxKinematic
{
public:
	int _body;
public:
	pxKinematic();

	void	Create();
	void	Create(int body);
	void	Clear();
	void	Move(Vector3 pos);
	void	SetPosition(Vector3 pos);
	void	SetRotation(Vector3 pos);
};

pxKinematic::pxKinematic()
{
	_body = 0;
}

void pxKinematic::Create(int body)
{
	_body = body;
	pxKinematicSet(body);
}

void pxKinematic::Clear()
{
	pxKinematicClear(_body);
}
void pxKinematic::Move(Vector3 pos)
{
	pxKinematicMove(_body, pos.x, pos.y, pos.z);
}
void pxKinematic::SetPosition(Vector3 pos)
{
	pxKinematicSetPosition(_body, pos.x, pos.y, pos.z);
}
void pxKinematic::SetRotation(Vector3 pos)
{
	pxKinematicSetRotation(_body, pos.x, pos.y, pos.z);
}

#endif