#ifndef _PX_WORLD_H_
#define _PX_WORLD_H_

class pxWorld
{
public:
	pxWorld(int plane, char* password);
	void CreateWorld(int plane, char* password);
	void SetGravity(float gx, float gy, float gz);
	void Update(float time);
};

pxWorld::pxWorld(int plane, char* password)
{
	pxCreateWorld(plane, password);
	pxSetGravity(0, -10, 0);
}
void pxWorld::CreateWorld(int plane, char* password)
{
	pxCreateWorld(plane, password);
}
void pxWorld::SetGravity(float gx, float gy, float gz)
{
	pxSetGravity(gx, gy, gz);
}
void pxWorld::Update(float time = 30)
{
	pxRenderPhysic(time, 0);
}


#endif